source:
   type: mysql
   name: MySQL Source
   #hostname: 49.4.21.141
   #port: 45611
   hostname: 172.20.0.196
   port: 3306
   username: bcx
   password: Wstestv5qy#2022
   tables: dispatch.tenant_employee_recently_attendances, dispatch.tenant_content_follows
   server-id: 5101-5404
transform:
  - source-table: dispatch.tenant_employee_recently_attendances as er
    projection: er.*
    filter: id > 10 AND order_id > 100
    description: project fields and filter
  - source-table: adb.web_order02
    projection: \*, UPPER(product_name) as product_name
    filter: id > 20 AND order_id > 200
    description: project fields and filter
sink:
  type: kafka
  name: Kafka dispatch data
  properties.bootstrap.servers: PLAINTEXT://117.78.39.204:9092
  sink.tableId-to-topic.mapping: dispatch.tenant_employee_recently_attendances:topic.dispatch.tenant_employee_recently_attendances;dispatch.tenant_content_follows:topic.dispatch.tenant_content_follows
pipeline:
  name: MySQL to Kafka Pipeline
  parallelism: 2
